## gegl-utils

gegl-utils

## Functions

void | gegl_create_chain_argv ()
void | gegl_create_chain ()
gchar * | gegl_serialize ()
GeglNode * | gegl_node_new_from_serialized ()
void | gegl_node_set_time ()
void | gegl_buffer_set_color ()
const Babl * | gegl_babl_variant ()

## Types and Values

enum | GeglSerializeFlag

## Description

## Functions

### gegl_create_chain_argv ()

    void
    gegl_create_chain_argv (char **ops,
                            GeglNode *op_start,
                            GeglNode *op_end,
                            double time,
                            int rel_dim,
                            const char *path_root,
                            GError **error);

Create a node chain from argv style list of op data.

#### Parameters

ops | an argv style, NULL terminated array of arguments |
op_start | node to pass in as input of chain |
op_end | node to get processed data |
time | the time to use for interpolatino of keyframed values |
rel_dim | relative dimension to scale rel suffixed values by |
path_root | path in filesystem to use as relative root |
error | error for signalling parsing errors |

### gegl_create_chain ()

    void
    gegl_create_chain (const char *ops,
                       GeglNode *op_start,
                       GeglNode *op_end,
                       double time,
                       int rel_dim,
                       const char *path_root,
                       GError **error);

Create a node chain from an unparsed commandline string.

#### Parameters

ops | an argv style, NULL terminated array of arguments |
op_start | node to pass in as input of chain |
op_end | node to get processed data |
time | the time to use for interpolatino of keyframed values |
rel_dim | relative dimension to scale rel suffixed values by |
path_root | path in filesystem to use as relative root |
error | error for signalling parsing errors |

### gegl_serialize ()

    gchar *
    gegl_serialize (GeglNode *start,
                    GeglNode *end,
                    const char *basepath,
                    GeglSerializeFlag serialize_flags);

#### Parameters

start | first node in chain to serialize |
end | last node in chain to serialize |
basepath | top-level absolute path to turn into relative root |
serialize_flags | anded together combination of: GEGL_SERIALIZE_TRIM_DEFAULTS, GEGL_SERIALIZE_VERSION, GEGL_SERIALIZE_INDENT. |

### gegl_node_new_from_serialized ()

    GeglNode *
    gegl_node_new_from_serialized (const gchar *chaindata,
                                   const gchar *path_root);

### gegl_node_set_time ()

    void
    gegl_node_set_time (GeglNode *node,
                        double time);

Sets the right value in animated properties of this node and all its dependendcies to be the specified time position.

#### Parameters

node | a a GeglNode |
time | the time to set the properties which have keyfraes attached to |

### gegl_buffer_set_color ()

    void
    gegl_buffer_set_color (GeglBuffer *buffer,
                           const GeglRectangle *rect,
                           GeglColor *color);

Sets the region covered by rect to the specified color.

#### Parameters

buffer | a GeglBuffer |
rect | a rectangular region to fill with a color. |
color | the GeglColor to fill with. |

### gegl_babl_variant ()

    const Babl *
    gegl_babl_variant (const Babl *format,
                       GeglBablVariant variant);

## Types and Values

### enum GeglSerializeFlag

#### Members

GEGL_SERIALIZE_TRIM_DEFAULTS |  |
GEGL_SERIALIZE_VERSION |  |
GEGL_SERIALIZE_INDENT |  |
GEGL_SERIALIZE_BAKE_ANIM |  |